jump to navigation

Aceleración Gráfica Nvidia/ATI Dapper/Edgy octubre 8, 2006

Posted by Benux in Distribuciones, Escritorios, Eye Candy, Linux, Otros, Software, ubuntu.
trackback

Aceleración grafica para Ubuntu Dapper (mas adelante esta Edgy).

Para las tarjetas Nvidia.

1. Instalamos los controladores de la tarjeta NVIDIA:

sudo apt-get install nvidia-kernel-common

2. sudo apt-get install nvidia-glx

3. sudo apt-get install nvidia-settings

4. sudo modprobe nvidia

5. sudo update-modules

6. sudo gedit /etc/modules y añadimos al archivo la línea:

nvidia

7. sudo gedit /etc/X11/xorg.conf y reemplazamos la línea:

driver “nv”

por:

driver “nvidia”

8. Reiniciamos.

Sigue estos 8 magnificos pasos que a mi me sirvieron de maravilla para la aceleración gráfica de mi ATI:

1. Abres una consola y escribes

sudo apt-get install linux-headers-version-de-su-kernel

2. sudo apt-get install linux-restricted-modules-version-de-su-kernel

3. sudo apt-get install fglrx-control xorg-driver-fglrx

o tambien puedes localizarlos desde el gestor de paquetes synaptic

4. modprobe agpgart

5. modprobe -r fglrx

6. sudo gedit /etc/X11/xorg.conf y modificas el apartado de la tarjeta gráfica, reemplazándolo por:

Section “Device”
Identifier “ATI Technologies, Inc. Radeon 9200 SE (RV280)” (aqui indicará el modelo que tengas)
Driver “fglrx”
BusID “PCI:1:0:0”
Option “VideoOverlay” “on”
Option “OpenGLOverlay” “off”
Option “UseInternalAGPGART” “no”
EndSection

7.- sudo gedit /etc/modules y añades en el archivo las siguientes líneas:

agpgart
fglrx

8.- Reinicias y a probar que hay aceleración ejecutando en un terminal:
glxgears (tiene que dar entre 700 y 1000 frames/seg).
glxinfo (tiene que poner “Direct Rendering yes”).

Aceleracion grafica para Ubuntu Edgy

Para Nvidia:

Es muy sencillo lo que tenemos que hacer es lo siguiente abrimos una terminal y escribimos:

sudo gedit /etc/apt/sources.list

dentro agregamos la siguiente linea:

deb http://amaranth.selfip.com edgy lrm

guardamos y cerramos el archivo ahora escribimos en la terminal lo siguiente para la instalacion del driver beta de nvidia

sudo apt-get install nvidia-glx libxorg-sched-yield-hack0

despues de la instalación escribimos en la terminal:

sudo nvidia-xconfig

por ultimo en la termina escribimos lo siguiente para modificar nuestro archivo xserver.org:

sudo gedit /etc/X11/xorg.conf

dentro del archivo agregamos en la seccion de screen lo siguiente:

Option “AddARGBGLXVisuals” “True”
Option “DisableGLXRootClipping” “True”

ahora agregamos hasta el final del archivo las siguientes lineas:

Section “Extensions”
Option “RENDER” “Enable”
EndSection

guardas y cierras el archivo.

Listo reinicias y ya tendras instalado tu nuevo controlador con el cual vas a poder manejar Beryl.

NOTA: En caso de que no hayas hecho algo bien y no entre al sistema grafico hagan lo siguiente:

presionen CTRL+ALT+F1 para entrar a la consola, ahi entran a su cuenta normal usuario y contraseñas, ya dentro de su cuenta escriben lo siguiente:

sudo nano /etc/X11/xorg.conf

aqui dentro busquen la seccion de “device” y ahi en la parte que dice driver cambien nvidia por nv asi:

Driver “nvidia”
por
Driver “nv”

ahora presionan lo siguiente para guardar el archivo y cerrarlo:

CTRL+O (esto es para guardar el archivo y presionan ENTER para confirmar)
CTRL+X (esto es para cerrar el archivo y regresar a la consola.

habiendo hecho lo anterior escriban lo siguiente:

startx (para entrar al ambiente grafico)

o si desean reiniciar

sudo reboot (esto es para reiniciar)

listo.

Para Ati:

Escribimos las siguientes lineas en una terminal

sudo apt-get update
sudo apt-get install linux-restricted-modules-$(uname -r) #esta bien si ya esta instalado
sudo apt-get install xorg-driver-fglrx
sudo depmod -a
sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv

fuente: http://wiki.cchtml.com/index.php/Ubuntu_Edgy_Installation_Guide

listo reinicien su ambiente grafico y ya deben de tener funcionando su aceleración grafica.

Comentarios»

1. Como Instalar XGL/BERYL en Gnome Nvidia y ATI « Benux Edgy - octubre 10, 2006

[…] Leer de favor el apartado de Aceleracion grafica para Nvidia y ATI. […]

2. 2006 Noviembre 01 « Benux Edgy - noviembre 1, 2006

[…] Aceleración grafica […]

3. exekyelipliz - noviembre 8, 2006

😦

io trate de hacer todo pero m genero un priblema en xorg.conf y tube k hacer un
#sudo dpkg/reconfigure /phigh xserver/xorg
po k m decia k teni un problema de interface grafica

4. Benux - noviembre 9, 2006

me podrias decir en que tarjeta fue el problema fue nvidia o ati

5. awa - noviembre 10, 2006

No puedo configurar la aceleración gráfica en Edgy con una Ati Radeon 9100. Sigo los pasos y al reiniciar me pasa lo siguiente:

1- me cambia la resolución de 1024×768 a 12xx x xxx
2- arranca kdm, pongo nombre de usuario y contraseña, y mientras kde arraca, se queda colgado el pc y tengo que reiniciar con reset.

¿Alguna idea?

6. Benux - noviembre 11, 2006

segun lo que busque sobre tu tarjeta grafica es mas factible que dejes todo como estaba con el driver de ati predeterminado, ya que es mas rapida, puedes checar un comentario en el siguiente foro sobre esto http://www.ubuntu-es.org/index.php?q=node/3674 tambien e visto que tu tarjeta tiene problemas con bery l quizas es por esto del controlador.

7. awa - noviembre 11, 2006

Es cierto, lo de Beryl ni me lo planteo, pero necesito aceleración 3D y eso no lo puedo tener con el driver “ati”. En Dapper tenía configurado Xorg con fglrx y me funcionaba sin problemas, además de ir más rápido, al contrario de lo que dice un usuario en el enlace que pones (200 fps con “ati”, 2500 fps con “fglrx”). El problema ha surgido con Edgy y ya no sé qué hacer, me he leído todos los tuturiales que he encontrado (aunque vienen a decir lo mismo), pero no he conseguido nada.

Saludos.

8. Benux - noviembre 11, 2006

ok, voy a buscar mas sobre tu tarjeta y sobre configuraciones de la tarjeta ati en caso que encuentre alguna información relevante te lo hare saber carnal y es que esto del ubuntu edgy si es una lata, claro que lo bueno de todo esto es que se aprenden cosas nuevas.

9. pancho - noviembre 16, 2006

ok tengo una intel y de verdad me muero por tener el 3d world pero ojala me escribieras a mi correo diciendome como

10. Benux - noviembre 16, 2006

con tu intel no hay ningun procedimiento extra puedes disfrutar de tu beryl sin ningun problema.

11. Ubuntuser - noviembre 19, 2006

Tras muchas pruebas sin exito, he encontrado que el error en los drivers está confirmado:

https://launchpad.net/distros/ubuntu/+source/xserver-xorg-video-ati/+bug/30447

Por cierto, me fue de gran ayuda el contenido de la página.

12. GokuH - noviembre 22, 2006

Muy buen tutorial, una pregunta, io me he instalado los drivers beta de nvidia desde su web y siempre me da problemas, no me arranca la X, tengo una geforce FX5200, es k no son compatibles? los drivers k pones arriba son los mismo? o bajarselo con el repositerio es mas seguro y si funciona :S?

13. Benux - noviembre 22, 2006

pues en base a mi experiencia yo no tuve problema alguno al instalarlo, pero definitivamente los drivers no son de muy buena calidad, y realmente no estoy seguro si sean los mismos controladores, pero creo que si, es cosa de checarlo.

buscare algo sobre tu tarjeta si encuentro alguna informacion relevante te lo hare saber por medio de este blog.

14. GokuH - noviembre 23, 2006

wOw muchas gracias por responder tan rapido =) jajaja sera k me toca probar y les avisare a ver k pasa ^^

15. Benux - noviembre 23, 2006

sale pues suerte

16. GokuH - noviembre 23, 2006

PERFECTO!!!, al parecer si son los mismo drivers, pero los k tu pones, si funcionan perfectamente!!!! VIDA AIXGL JAJAJA XGL tenia muxos problms, este va perfecto!! gracias jajaja.Weno ya sabn a actualizar sin miedo =)

17. Benux - noviembre 23, 2006

Que bien, que bueno que sirvieron, eso es todo, ahora si a disfrutar beryl.

18. cristobal - noviembre 29, 2006

Sr. como estas…siguiendo su estupendo tutorial me anime a instalar xgl, en mi ubuntu dapper 6.06, yo soy novato en ubuntu, segui el tuto al pie de la letra, yo tengo un laptop compack presario de 512 de ram, y una ati radeon de 64 mg
Para ser mas especifico , esta es mi tarjeta

Section “Device”
Identifier “ATI Technologies, Inc. Radeon 320M (RS200 IGP)”
Driver “ati”
BusID “PCI:1:5:0”
VideoRam 65536
Option “UseFBDev” “true”
EndSection

Bueno, mi procesador un amd athlon 1,8 ghz….segui al pie de la letra las instruciones, ahora al reiniciar el equipo despues de poner en en cuentas las que estan sesiones, puse las dos, la de beryl y gnome…al tener todo listo, reinicio, y aca biene lo bueno, me arojo un error de este tipo> el servidor X no puede… “no me acuerdo”, la cosa es que estaba mal configurado me acuerdo, lo que hice fue buscar en internet , y encontre este comando de reconfiguracion “sudo dpkg-reconfigure xserver-xorg” .Asi entre a unas pantallas de configuracion de pantalla y monitor y tarjeta grafica, eran preguntas sobre estas cosas…respondi lo que era acorde, y luego reinicie..no me recuerdo mucho que hice, pero pude entrar de nuevo a ubuntu (tengo XP y ubuntu en mismo HD), por lo tanto, entre a las opciones de sesion, y estaba presisamente gnome-xgl, entro a y mi extranez, no habia cubo, ni paso nada, solamente el laptop estaba mas lento en su funcionamiento
Al principio cuando me arrojo el error de configuracion, me pregunto si queria diagnosticar la salida del problema o algo asi, y me salio esto

en:Markers—->salia esto en los siguientes archivos =default setting
log file /var/log/Xorg.0.log
Using config file:etc/XM/xore/.conf
Ademas en sistemas, preferencias, estan: beryl setting manager y emerald theme manager
Bueno amigo, ojala me puedas ayudar, yo ceo k a pesar de no ser una tarjeta de 128 mg, igual puede correr xgl, ademas aparte de gnome-xgl me sale otra opcion, esta es XGL (usar….no me acuerdo pero entre aqui, y tambien se puso lento, igual k gnome-xgl) . Lo extra;o de todo es que nunca me salio un cubo…sino sola,mente se al principio, cuando se inicia la sesion y sale el logo de ubuntu, un color raro, no el comun, y luego se puso lento el laptop..bueno amigo, esperando una ayuda
Un abrazo, espero que me ayudes..cristobal

19. cristobal - noviembre 29, 2006

Perdon, en Markers—->salia esto en los siguientes archivos =default setting
log file /var/log/Xorg.0.log
Using config file:etc/XM/xore/.conf
es: Using config file:etc/X11/xore/.conf
saludos

20. Benux - noviembre 29, 2006

pues aunque la tarjeta crea que jale beryl, hay que estar realmente seguros de que sea compatible, esos problemas de lentitud se deben a la aceleración grafica, al aparecer el error que mencionaste de xserver, indica una de las siguientes cosas: o a tu tarjeta no se le puede colocar aceleración grafica o la configuraste mal.
tambien en base a las sesiones, XGL Y gnome-xgl basicamente son lo mismo porque segun parece hiciste un duplicado de la sesion de xgl solo con diferente nombre, y ambas entran en xgl por lo cual esta lento y necesita aceleración grafica.
a todo esto, buscare si tu tarjeta es compatible y lo comento.

21. cristobal - noviembre 30, 2006

Hola amigo, bueno en la acelracion grafica, me da entre a los comando de aceleracion grafica, que no encontraba y no me da direct rendering yes
en el de la acelaracion grafica es: (textual un troxo)
root@cris-laptop:/home/cris# glxgears
Xlib: extension “XFree86-DRI” missing on display “:0.0”.
1150 frames in 5.1 seconds = 224.792 FPS
1824 frames in 5.0 seconds = 361.228 FPS
1938 frames in 5.3 seconds = 363.650 FPS
1824 frames in 5.0 seconds = 364.569 FPS
1824 frames in 5.2 seconds = 350.452 FPS

en el de rendering textual es:
root@cris-laptop:/home/cris# glxinfo
name of display: :0.0
Xlib: extension “XFree86-DRI” missing on display “:0.0”.
display: :0 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
GLX_SGIS_multisample, GLX_SGIX_hyperpipe, GLX_SGIX_swap_barrier,
GLX_SGIX_fbconfig
client glx vendor string: ATI
client glx version string: 1.3
client glx extensions:
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_ATI_pixel_format_float,
GLX_ATI_render_texture
GLX version: 1.2
GLX extensions:
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
GLX_ARB_multisample
OpenGL vendor string: Mesa project: http://www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.4.1)
OpenGL extensions:
GL_ARB_imaging, GL_ARB_multitexture, GL_ARB_texture_border_clamp,
GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
GL_ARB_texture_env_combine, GL_ARB_texture_env_dot3,
GL_ARB_transpose_matrix, GL_EXT_abgr, GL_EXT_blend_color,
GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_texture_env_add,
GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
GL_EXT_texture_lod_bias

visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
———————————————————————-
0x23 24 tc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 0 0 None
0x24 24 tc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 0 0 None
0x25 24 tc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
0x26 24 tc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
0x27 24 dc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 0 0 None
0x28 24 dc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 0 0 None
0x29 24 dc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
0x2a 24 dc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 0 0 None

Bueno eso, ojala que sea posible un abrazo y muchas gracias

22. cristobal - noviembre 30, 2006

otro dato, haber si sirve, al poner el comando . sudo apt-get install linux-restricted-modulos-version-de-su-kernel

me dice que no se encuentra
un abrazo

23. Benux - noviembre 30, 2006

a ahora ya vi el problema, esta en relacion a tu ultimo comentario:
lo de linux-restricted-modulos-version-de-su-kernel
significa qu tienes que instalar los modulos segun la version de kernel, seria mas o menos algo asi:
en vez de
linux-restricted-modulos-(version-de-su-kernel)
la (version de su kernel) lo sustituyes
ejemplo:
linux-restricted-modulos-2.6.17-10-386
y listo.

24. cristobal - diciembre 1, 2006

Hola amigo, gracias por responder: bueno ya habia probado con eso y me sale esto textual

root@cris-laptop:/home/cris# sudo apt-get install linux-restricted-modulos-2.6.15-23-386
Leyendo lista de paquetes… Hecho
Creando árbol de dependencias… Hecho
E: No se pudo encontrar el paquete linux-restricted-modulos-2.6.15-23-386
root@cris-laptop:/home/cris

un saludo

25. cristobal - diciembre 1, 2006

perdon, me equivoke, era modules

26. Benux - diciembre 1, 2006

bueno entonces prueba con modules asi:
linux-restricted-modules-2.6.15-23-386
es mas facil que entres al gestor de paquetes synaptic y despues en la parte de buscar dale:
linux-restricted-modules
despues de esto busca los que correspondan tu sistema y listo.
asi seguramente se te instala.
y pues igual perdon, no habia checado lo de modules nada mas hice copi-paste de tu comentario :p jajaja pero pues ya esta.

27. cristobal - diciembre 1, 2006

Hola amigo, bueno me paso algo raro de nuevo….
cuando estaba siguiendo los pasos, en la parte de cambiar el device de la tarjeta en sudo gedit /etc/X11/xorg.conf, en la parte del driber: decia “ati”, cuando sale en el manual reiniciar…..para probar aceleracion grafica con comando glxgears entro a ubuntu no sabes lo que paso…..me paso lo mismo que esta arriba…el servidor X no puede… “no me acuerdo”, utilice para salir el comando probado anteriormente sudo dpkg-reconfigure xserver-xorg, y luego de contestar las mismas preguntas, le di startx y aca estamos
bueno vamos a probar ahora entrando a gnome-xgl
te comento un abrazo..que sera???

28. cristobal - diciembre 1, 2006

se me olvidaba, obviamente cambie el driver por flxg creo y ademas lo instale por sinapthycs
saludos

29. cristobal - diciembre 1, 2006

Esto me sale al validar las firmas de compiz
gpg: No se han encontrados datos OpenPGP válidos

un saludo

30. cristobal - diciembre 1, 2006

para la acelracion grafica, es necesario instalar primero beryl?????, no lo he hecho por que o tengo el cd en mi manos en este momento
saludos

31. Benux - diciembre 1, 2006

el beryl no es necesario para la aceleración grafica,aunque beryl si necesita de la aceleración, porque no intentas probar con ubuntu edgy es mucho mas facil activar la aceleración grafica ahorita que ere novato creo que seria una buena opcion, posteriormente todos estos errores desapareceran.

32. cristobal - diciembre 2, 2006

Y edgy, me servira, para mi tarjeta ati??

33. Benux - diciembre 3, 2006

claro que si, ya vez que te comente que yo tengo la misma tarjeta de video, y pues es bastante compatible con beryl y todo, en dapper tambien es posible pero debido a los problemas que tu has tenido pues te recomiendo que instales edgy ya que la aceleracion grafica es mas facil de activar.

34. cristobal - diciembre 4, 2006

Ahora m lo estoy bajando
saludos

35. cris - diciembre 6, 2006

Hola benux, bueno te queria preguntar que ya segui los pasos de aceleracion grafica, pero l final dice
ahora reinicien su mbiente grafico y tendran aceleracion
que es reiniciar ambiente grafico?? como e hace???
como compruebo que tengo aceleracion 3d???

bueno preguntas basicas antes de instalar beryl y xgl
un abrazo

36. cristobal - diciembre 6, 2006

bueno, me acaba de pasar lo mismo, reinicie el laptop, despues de seguir las instrucciones, pero me llamo la atencion una cosa, lo que hice primero fue instalar las sources list que pones en el apartado de instalcion de beryl con xgl, luego pongo los comandos para validar, o sea las firmas y extrañamente me sle que las de compiz o beryl (no me acuerdo), no se conecta con el server o algo asi, la cosa es que no tengo esas firmas…bueno despues de seguir los pasos para ubuntu edgy, y la aceleracion en 3d; reinicio y me sale lo mismo e antes, que el servidor X no se puedo iniciar debido a un error de configuracion y no me acuerdo que más….pero es como lo que ha salido siempre, y ni siquiera habia instalado xgl ni beryl ni nada, solo acelerar 3d. con mi tarjeta ati 320M (RS200 IGP)
Bueno y ahora que puedo hacer amigo benux, ya que ni siquiera he instalado xgl y compiz
Un abrazo

37. cris - diciembre 6, 2006

bueno despues e reconfigurar con el comando
sudo dpkg-reonfigure xserver-xorg
me saliuo de nuevo la eleccion de preguntas, pero extranamente me sle por defecto el driver vesa , al entrar despues con elcomando startx, me sale asi la imagen del escritorio

Bueno luego elijo el driver de ati y se arregla, pero no se que debo hacer
un saludo

38. Benux - diciembre 6, 2006

¿si seguiste las instrucciones de aceleracion grafica de ubuntu edgy? porque difieren de la manera de acelerar en dapper, si si las seguiste, y teniendo en cuenta que te sucedio lo mismo en dapper, al parecer el problema esta en que tu tarjeta grafica no es compatible con beryl, si es esto pues no se puede hacer nada.
si no seguiste las instrucciones de aceleracion grafica de ubuntu edgy entonces, intentalo, y me lo comentas.
si tienes alguna otra duda con gusto vere de que manera te puedo ayudar.

39. allen - diciembre 18, 2006

Imposible obtener http://amaranth.selfip.com/dists/edgy/lrm/binary-i386/Packages.gz 404 Not Found
Leyendo lista de paquetes… Hecho
E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

40. Benux - diciembre 18, 2006

eso que pusiste que? no entiendo que necesitas

41. socrates - enero 23, 2007

Amigo Cristobal, para poder instalar linux-headers y linux-restricted-modules con respecto con tu version de kernel puedes utilizar:
sudo apt-get install linux-headers-$(uname -r)
sudo apt-get install linux-restricted-modules-$(uname -r)

Otro detalle, al parecer linux-restricted-modules solo incorpora soporte para tarjetas nvidia, ¿estoy en lo correcto?, claro instalalo por seguridad

42. vacadepollo - enero 27, 2007

E seguido el tuto y me sale “direct rendering:no”, aunque me funciona Beryl perfectamente con sus efectos de fuego y eso… quiza se satura un poco a veces… nos se…

No e podido instalarlo desde el repositorio deb http://amaranth.selfip.com edgy lrm porque me da error, pero a encontrado los archivos necesarios, y funcionar , funciona.

(Tengo edgy con 2.6.17.10 y Geforce 5500)
Pongo datos glxinfo, glxgears porsi os sirve….

$ glxinfo
name of display: :1.0
display: :1 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig
client glx vendor string: NVIDIA Corporation
client glx version string: 1.4
client glx extensions:
GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_visual_info,
GLX_EXT_visual_rating, GLX_EXT_import_context, GLX_SGI_video_sync,
GLX_NV_swap_group, GLX_NV_video_out, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
GLX_SGI_swap_control, GLX_NV_float_buffer, GLX_ARB_fbconfig_float
GLX version: 1.2
GLX extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_SGIX_fbconfig, GLX_ARB_get_proc_address
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce FX 5500/AGP/SSE2/3DNOW!
OpenGL version string: 1.2 (2.0.2 NVIDIA 87.76)
OpenGL extensions:
GL_ARB_depth_texture, GL_ARB_imaging, GL_ARB_multitexture,
GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shadow,
GL_ARB_texture_border_clamp, GL_ARB_texture_cube_map,
GL_ARB_texture_env_add, GL_ARB_texture_env_combine,
GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat,
GL_ARB_window_pos, GL_ARB_vertex_program, GL_ARB_fragment_program,
GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_func_separate,
GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_draw_range_elements,
GL_EXT_fog_coord, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels,
GL_EXT_rescale_normal, GL_EXT_secondary_color,
GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap,
GL_EXT_texture3D, GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add,
GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, GL_EXT_texture_lod,
GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_vertex_array,
GL_HP_occlusion_test, GL_IBM_texture_mirrored_repeat, GL_NV_blend_square,
GL_NV_texgen_reflection, GL_NV_texture_rectangle,
GL_NV_texture_env_combine4, GL_SGIS_generate_mipmap, GL_SGIS_texture_lod,
GL_SGIX_depth_texture, GL_SGIX_shadow

visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
———————————————————————-
0x2c 24 tc 0 32 0 r y . 8 8 8 8 0 24 8 0 0 0 0 0 0 None
0x2d 24 tc 0 32 0 r . . 8 8 8 8 0 0 0 0 0 0 0 0 0 None
0x2e 32 tc 0 32 0 r y . 8 8 8 8 0 24 8 0 0 0 0 0 0 Ncon
0x2f 32 tc 0 32 0 r . . 8 8 8 8 0 0 0 0 0 0 0 0 0 Ncon

~$ glxgears
18153 frames in 5.0 seconds = 3628.249 FPS
22144 frames in 5.0 seconds = 4414.558 FPS
22002 frames in 5.0 seconds = 4394.760 FPS
22019 frames in 5.0 seconds = 4394.614 FPS
21791 frames in 5.0 seconds = 4351.182 FPS

43. vacadepollo - enero 27, 2007

el repositorio esta out! puede ser eso?

44. vacadepollo - enero 27, 2007

Aqui va parte de mi xorg.conf, aver si veis el fallo!!!

Section “Module”
Load “i2c”
Load “bitmap”
Load “ddc”
Load “extmod”
Load “freetype”
Load “glx”
Load “int10”
Load “type1”
Load “vbe”
EndSection

Section “InputDevice”
Identifier “Generic Keyboard”
Driver “kbd”
Option “CoreKeyboard”
Option “XkbRules” “xorg”
Option “XkbModel” “pc104”
Option “XkbLayout” “es”
EndSection

Section “InputDevice”
Identifier “Configured Mouse”
Driver “mouse”
Option “CorePointer”
Option “Device” “/dev/input/mice”
Option “Protocol” “ExplorerPS/2”
Option “ZAxisMapping” “4 5”
Option “Emulate3Buttons” “true”
EndSection

Section “InputDevice”

# /dev/input/event
# for USB
Identifier “stylus”
Driver “wacom”
Option “Device” “/dev/wacom” # Change to
Option “Type” “stylus”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “InputDevice”
Option “RenderAccel” “true”
# /dev/input/event
# for USB
Identifier “eraser”
Driver “wacom”
Option “Device” “/dev/wacom” # Change to
Option “Type” “eraser”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “InputDevice”

# /dev/input/event
# for USB
Identifier “cursor”
Driver “wacom”
Option “Device” “/dev/wacom” # Change to
Option “Type” “cursor”
Option “ForceDevice” “ISDV4” # Tablet PC ONLY
EndSection

Section “Monitor”
Identifier “SyncMaster”
Option “DPMS”
EndSection

Section “Device”
Identifier “NVIDIA Corporation NV34 [GeForce FX 5500]”
Driver “nvidia”
Option “RenderAccel” “True”
EndSection

Section “Screen”
Identifier “Default Screen”
Device “NVIDIA Corporation NV34 [GeForce FX 5500]”
Monitor “SyncMaster”
DefaultDepth 24
Option “RenderAccel” “True”
Option “AddARGBGLXVisuals” “True”
Option “DisableGLXRootClipping” “True”
SubSection “Display”
Depth 1
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
SubSection “Display”
Depth 4
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
SubSection “Display”
Depth 8
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
SubSection “Display”
Depth 15
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
SubSection “Display”
Depth 16
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
SubSection “Display”
Depth 24
Modes “1280×1024” “1152×864” “1024×768” “832×624” “800×600” “720×400” “640×480”
EndSubSection
EndSection

Section “Extensions”
Option “RENDER” “Enable”
Option “Composite” “Enable”
EndSection

45. Vacadepollo - enero 31, 2007

Ahora me ocurre esto!:
Instalando el driver oficial Beta 9725 , al reiniciar, xorg peta y en el informe me dice que hay conflicto de versiones, el driver es el 8764 (el de los repos) y que el modulo X es el 9725 (el BETA).

Como puedo desinstalar todo? desinstalo los drivers nvidia, via automatix (así instale al principio) y via synaptic, pero no encuentro el driver beta.

Un poco de por favor….
Jamoncito 5J para el que me lo solucione, no me apetece reinstalar!

46. vacadepollo - febrero 10, 2007

E reinstalado todo y no puedo instalar los archivos para edgy porque el repositorio esta caido. ¿lo has comprobado?

47. Benux - febrero 12, 2007

no no lo he checado, pero segun yo estan perfectamente ya que sigo recibiendo actualizaciones

48. luis xD - marzo 9, 2007

Hola, ojala alguien lea esto
xD
ES NADA MAS UNA pequeña consulta
mi ubuntu 6.10 esta sin internet (por culpa
del speedtouch 330) Entonces me he bajado el driver de mi nvidia
geforce fx 5200 desde:
http://www.nvidia.com/object/linux_display_ia32_1.0-9755.html

(ah soy nuevo en linux xD)
LO INTALO CON “sh NVIDIA-Linux-x86-1.0-9755-pkg1.run” verdad???
despues de eso debiera de estar instalado mi driver verdad??

ojala alguien me responda amigos
desde ya gracias…

49. Davis - marzo 9, 2007

Una consulta para aceleracion en edgy es necesario editar tambien el archivo /etc/modules y agregarle:
agpgart
fglrx
?????
gracias

50. Davis - marzo 9, 2007

Una consulta para aceleracion en edgy es necesario editar tambien el archivo /etc/modules y agregarle:
agpgart
fglrx
????? o solo es para dapper?
gracias

51. Benux - marzo 10, 2007

para luis:
pues para instalar un paquete que se instala automaticamente, solo escribe su direccion en la terminal.

para Davis:
si tambien lo puedes hacer, es para cargar el modulo desde el principio.

52. Hitesh - marzo 18, 2007

sudo gedit /etc/modules esto .. no me funciona osea no me viene lo q tne q venir .
me puede ayudar

53. Como Instalar XGL/BERYL en Gnome/Kde intel, Nvidia y ATI Dapper/Edgy | Benux Advent - abril 8, 2007

[…] Leer de favor el apartado de Aceleracion grafica para Nvidia y ATI. […]

54. pablo - mayo 7, 2007

hola saludos a todos pero nawara queia saber quien em podria ayudar cn mi problema no consigo los driver de mi targeta de video y le instale un diver q me la hace correr pero no como ella deve correr bn mi targeta de video es nvidia ge-force 5500 de 512 mg y como recien formatie mi computadora pero no tengo el CD paa poder instalar mi targeta como debe ser porfavor quien me dice como puedo hacer q mi targeta de video fncione como debe ser no consigo el sofware de ella porfa ayudenme

55. pablo - mayo 9, 2007

sera y me drian cuando me diran cm conseguir el sofware de la targeta de video ge force 5500 de 512 mg

56. christian - agosto 21, 2008

hola espero me ayuden quisiera hacelerar una tarjeta de graficos pero intel espero me yuden gracias

57. Javid Sinha - febrero 16, 2013

Hey there! Do you know if they make any plugins to assist with Search Engine Optimization?
I’m trying to get my blog to rank for some targeted keywords but I’m not seeing very good
success. If you know of any please share. Thank you!

58. judo-herten.de - abril 13, 2013

She is curious about the shower and tries to wangle info from them, but they use reverse psychology on her and
will not budge unless they know the sex of the baby.

59. blogspot.fr - abril 18, 2013

It is truly a nice and helpful piece of info. I am glad that you just shared this
useful info with us. Please keep us up to date like this.
Thank you for sharing.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: